#ifndef strategy2_h
#define strategy2_h

#include "sudoku.h"
#include <vector>

class SudokuStrategy2 : public SudokuStrategy
{
public:
        bool operator()(SudokuBoard& board);
private:
	bool evaluate_square(SudokuBoard& board, int sqcol, int sqrow);

	typedef std::pair<int, int> coords;
	typedef std::vector<coords> possible_list;

	void get_value_locations(const SudokuBoard& board, int sqcol, int sqrow, int value, possible_list& list);
};

#endif
